import { Address, ProgramDerivedAddress } from '@solana/web3.js';
import { ResolvedAccount, TokenStandard } from './index';
export declare const resolveMetadata: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveEditionFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOwnerTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTakerTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveListTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveBidTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveBuyerTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveSellerTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveSourceTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveDestinationTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePoolTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTokenMetadataProgramFromTokenStandard: ({ args, }: {
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Partial<{
    value: Address<string> | null;
}>;
export declare const resolveAuthorizationRulesProgramFromTokenStandard: ({ args, }: {
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Partial<{
    value: Address<string> | null;
}>;
export declare const resolveSysvarInstructionsFromTokenStandard: ({ args, }: {
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Partial<{
    value: Address<string> | null;
}>;
export declare const resolveListAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveBidAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOwnerAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveBuyerAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveSellerAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTakerAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveSourceAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveDestinationAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePoolAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOwnerCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveFeeVaultCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePayerCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveDistributionCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveMakerBrokerCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTakerBrokerCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePoolNftReceipt: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOrderNftReceipt: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveWnsApprovePda: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveWnsDistributionPda: ({ args, }: {
    args: {
        collection: Address;
        paymentMint?: Address | null;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveWnsExtraAccountMetasPda: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTreeAuthorityPda: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOrderAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveOrderTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTswapNftEscrowPda: ({ args, }: {
    args: {
        mint: Address;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTswapNftDepositReceiptPda: ({ args, }: {
    args: {
        mint: Address;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTswapSolEscrowPda: ({ args, }: {
    args: {
        pool: Address;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTswapSingleListingPda: ({ args, }: {
    args: {
        mint: Address;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveEscrowProgramFromSharedEscrow: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Partial<{
    value: Address<string> | null;
}>;
export declare const resolveBrokersCurrencyAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Address[]>;
export declare const resolveCreatorsCurrencyAta: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        creators: Array<Address>;
    };
}) => Promise<Address[]>;
export declare const resolveFeeVaultPdaFromListState: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveFeeVaultPdaFromBidState: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
//# sourceMappingURL=resolvers.d.ts.map